:root{
  --font-primary: 'Poppins', sans-serif;
  --font-secondary: 'Raleway', sans-serif;

  --color-bg: #fff8f7;
  --color-primary: #f9c7c3;
  --color-accent: #e38a8a;
  --color-soft: #ffd5c8;
  --color-text: #555555;
}

html{
  font-size: 62.5%;
  box-sizing: border-box;
}

*{
  box-sizing: inherit;
  margin: 0;
  padding: 0;
}

body {
  font-size: 1.6rem;
  font-family: var(--font-primary);
  background: linear-gradient(to top, rgba(0,0,0,0.5) 20%, rgba(0,0,0,0.5) 20%),url(../img/3.jpg);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}


.contenido-principal{
  width: 100%;
  min-height: 100vh;
}

.navbar{
  max-width: 1200px;
  margin: 0 auto;
  padding: 2rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.titulo-principal{
  font-family: var(--font-secondary);
  font-size: 3.4rem;
  font-weight: 400;
  letter-spacing: 0.15rem;
  text-decoration: underline;
  color: var(--color-accent);
}

/* Navegación */
.navegacion {
  display: flex;
  gap: 4rem;
}

.navegacion_enlace {
  color: #ffffff;
  font-family: var(--font-secondary);
  font-size: 1.8rem;
  font-weight: bold;
  text-decoration: none;
  transition: color 0.3s ease;
}

.navegacion_enlace:hover{
  color: var(--color-accent);
}



.contenido{
  max-width: 1200px;
  margin: 4rem auto 0 auto;
  padding: 0 2rem;

  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 3rem;
}
@media (max-width: 768px){ 
  .contenido{
    flex-direction: column;
    align-items: flex-start;
    margin-top: 3rem;
  }
}

.contenido-texto{
  max-width: 60rem;
}

.contenido h2{
  color: #ffffff;
  font-family: var(--font-primary);
  font-size: 4.8rem;
  letter-spacing: 0.2rem;
  font-weight: 700;
  margin-bottom: 2rem;
}

.parrafo{
  color: #ffffff;
  font-family: var(--font-secondary);
  letter-spacing: 0.12rem;
  line-height: 3rem;
  font-weight: 700;
  margin-bottom: 1.5rem;
}

/* botones */
.btn{
  display: inline-block;
  margin-top: 1rem;

  background-color: var(--color-accent);
  color: #ffffff;
  text-decoration: none;
  padding: 1.2rem 2.8rem;
  border-radius: 0.8rem;
  font-weight: bold;
  font-family: var(--font-primary);
  border: none;
  transition: all 0.3s ease;
  box-shadow: 0 0.4rem 1rem rgba(0, 0, 0, 0.2);
}

.btn:hover {
  background-color: var(--color-soft);
  color: var(--color-text);
  transform: scale(1.05);
  cursor: pointer;
}

/* carusel*/
.contenido-carrusel{
  width: 35rem;
}

#carouselExampleIndicators{
  width: 100%;
  height: auto;
  overflow: visible;
}

.carousel-inner{
  width: 100%;
  height: auto;
}

.carousel-item img{
  width: 100%;
  height: auto;
  border-radius: 0.8rem;
  box-shadow: 0 0.8rem 2rem rgba(0,0,0,0.3);
}

/*footer */

.footer {
  background-color: var(--color-accent);
  color: #ffffff;
  text-align: center;
  padding: 1rem 0 1.2rem;
  font-family: var(--font-secondary);
  margin-top: 3rem;
  box-shadow: 0 -0.3rem 1rem rgba(0, 0, 0, 0.1);
}

.footer-texto {
  font-size: 1.8rem;
  margin: 0.2rem 0;
}

.icono{
  width: 3rem;
  height: 3rem;
  margin: 0.5rem 0.3rem;
}

@media (max-width: 768px){  
  .contenido-carrusel{
      width: 100%;
      margin-top: 2rem;
    }
}
@media (min-width: 768px){

  .navbar{
    flex-direction: column;
    align-items: flex-start;
    gap: 1rem;
  }

  .navegacion{
    flex-wrap: wrap;
    gap: 1.5rem;
  }



  .titulo-principal{
    font-size: 2.8rem;
  }

  .contenido h2{
    font-size: 3.2rem;
  }
}


/* ----- formulario ----- */

/*estilos generales*/

.sombras{
box-shadow: 1px 1px 20px 5px rgba(0,0,0,0.39);
-webkit-box-shadow: 1px 1px 20px 5px rgba(0,0,0,0.39);
-moz-box-shadow: 1px 1px 20px 5px rgba(0,0,0,0.39);
background-color: var(--blanco);
border-radius: 2rem;
padding: 2rem;
}

/*utilidades*/
.centrar-texto{
  text-align: center;
  text-decoration: underline;
  color: var(--color-accent);
}


.contenedor{
  max-width: 80rem;
  margin: 2rem auto 0;
}

.nav-bg{
  background-color: var(--secundario);
}

@media (min-width: 768px){
   .nav-bg{
    position: sticky;
  top: 0;
  z-index: 100;
   }
}

.navegacion-principal{
  display: flex;
  flex-direction: column;
  align-items: center;
}

@media(min-width: 768px){
  .navegacion-principal{
    flex-direction: row;
    justify-content: space-between;
  }
}

.navegacion-principal a{
  text-decoration: none;
  color: var(--blanco);
  font-weight: 700;
  padding: 1rem;
}

.navegacion-principal a:hover{
  background-color: var(--principal);
  color: var(--oscuro);
}


/*servicios*/
@media (min-width: 768px){
   
.servicios{
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-columns: repeat(3, 1fr);
  column-gap: 1rem;
  }
}

.servicios__card h3{
  color: var(--secundario);
  font-weight: 400;
  text-align: center;
}

.servicios__iconos{
  background-color: var(--principal);
  border-radius: 50%;
  width: 15rem;
  height: 15rem;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  margin: 0 auto;
}

.servicios__card p{
  text-align: center;
  line-height: 2;
}

/*formulario*/

.formulario{
  background-color: var(--gris);
  padding: 3rem;
  border-radius: 1rem;
  max-width: 65rem;
  margin: 0 auto;
}

.formulario fieldset{
  border: none;
}

.formulario legend{
  color: var(--principal);
  text-transform: uppercase;
  font-weight: bold;
  font-size: 1.8rem;
  text-align: center;
  margin-bottom: 2rem;
}

.campos__entrada label{
  color: var(--blanco);
  font-weight: bold;
  display: block;
  margin-bottom: 0.5rem;
}

.campos__entrada{
  margin-bottom: 1.5rem;
}

.campos__entrada label[for="notificaciones"]{
  display: inline;
}

.campos__input{
  padding: 1rem;
  border: none;
  border-radius: 1.5rem;
  width: 100%;
}

.campos__input--textarea,
.campos__input[id="comentario"]{
  height: 20rem;
}

@media (min-width: 768px){
   .campos{
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 2rem
   }
}

.campos__entrada:nth-child(3),
.campos__entrada:nth-child(4),
.campos__entrada:nth-child(5),
.campos__entrada:nth-child(6){
  grid-column: 1/3;
}

.campos__entrada__btn{
  text-align: right;
}

.footer_pie{
  text-align: center;
}

/*sobre mi*/

.sobre_mi{
  text-align: center;
}

.nosotros__img{
  max-width: 100%;
}

@media (min-width: 768px){
   .nosotros__grilla{
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 1rem;
   }
}

.nosotros__contenido p{
  text-indent: 5px;
  text-align: justify;
  line-height: 1.0;
}

.body-nosotros{
  display: grid;
  grid-auto-rows: 1fr auto 1fr;
  min-height: 100vh;
}

/*PRODUCTOS GRILLA!!!!!*/
.contenedor h1{
  text-align: center;
  margin-bottom: 3rem;
  font-family: var(Poppins);
  font-weight: bold;
  color: var(--color-soft);
  background: rgba(0, 0, 0, 0.15);
}

.producto-grilla{
  display: grid;
  grid-template-columns: repeat(2, 1fr);
} 

@media (min-width: 768px){
  .producto-grilla{
    grid-template-columns: repeat(3, 1fr);
    column-gap: 4rem;
    gap: 2rem;

  }
   
} 

.producto{
  padding: 1.5rem;
  border-radius: 1.5rem;
  box-shadow: 0 0 2rem rgba(0, 0, 0, 0.60);
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}


.producto:hover{
  transform: translateY(-4px) scale(1.02);
  box-shadow: 0 1.2rem 2.4rem rgba(0,0,0,0.45);
}

.producto a{
  display: block;
  text-decoration: none;
  color: inherit;
}



.producto__imagen{
  width: 100%;
  display: block;
  border-radius: 0.6rem;

}

.producto__descripcion{
  font-size: 2rem;
  font-family: sans-serif;
  font-weight: bold;
  color: var(--color-soft);
  text-decoration: none;
  text-align: center;
   margin: 1rem 0;


}

.producto__precio{
   font-size:  2rem;
   font-family: var(--font-primary);
   font-weight: bold;
   text-decoration: none;
   text-align: center;
   margin: 1rem 0;

}

